#Conf Intervals
# K-M
enparCensored(Pyrene, PyreneCen, ci=TRUE, ci.method="bootstrap", n.bootstraps = 5000)
enparCensored(Pyrene,PyreneCen, ci=TRUE)
# MLE
pymle = cenmle(Pyrene, PyreneCen, conf.int=0.95)
mean(pymle)
pymlenorm=cenmle(Pyrene, PyreneCen, dist="gaussian")
mean(pymlenorm)
elnormAltCensored(Pyrene, PyreneCen, ci=TRUE, ci.method = "bootstrap", n.bootstraps = 5000)
# ROS
elnormAltCensored(Pyrene,PyreneCen, method="rROS", ci = TRUE, ci.method="bootstrap", n.bootstraps = 5000)

# Prediction Intervals
# MLE
cenPredInt (Pyrene, PyreneCen)
#ROS
cenPredInt (Pyrene, PyreneCen, newobs =2, method = "rROS")

# Tolerance Intervals
# Lognormal, Gamma and Normal with a NADAscript
cenTolInt(Pyrene, PyreneCen, cover=0.9)

# Lognormal MLE
eqlnormCensored (Pyrene, PyreneCen, p=0.9, ci=TRUE, ci.type = "upper")

# Gamma MLE
dat.gamma <- Pyrene^(1/3)
obj.gamma <- eqnormCensored (dat.gamma, PyreneCen, p=0.9, ci=TRUE, ci.type = "upper")
pct.gamma <- obj.gamma$quantiles^3
ti.gamma <- (obj.gamma$interval$limits[2])^3
pct.gamma
ti.gamma
